| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
TRAP_LOGGER_s Struct Reference

`#include <fault_handler/drivers/drv_trap_handler.h>`

Collaboration diagram for TRAP_LOGGER_s:

## Data Fields
volatile struct TRAPLOG_STATUS_s | status
| Status word of the Trap Logger object. More...
volatile uint16_t | reset_count
| Counter of CPU RESET events (read/write) More...
enum TRAP_ID_e | trap_id
| Trap-ID of the captured incident. More...
volatile uint16_t | trap_count
| Counter tracking the number of occurrences. More...
volatile struct TRAP_FLAGS_s | trap_flags
| Complete list of trap flags (showing all trap flags) More...
volatile struct CPU_RCON_s | rcon_reg
| Captures the RESET CONTROL register. More...
volatile struct CPU_INTTREG_s | inttreg
| Interrupt Vector and Priority register capture. More...
volatile struct TASK_INFO_s | task_capture
| Information of last task executed. More...

## Detailed Description

Definition at line 280 of file drv_trap_handler.h.

## Field Documentation

## ◆ inttreg

volatile struct CPU_INTTREG_s inttreg

Interrupt Vector and Priority register capture.

Definition at line 288 of file drv_trap_handler.h.

## ◆ rcon_reg

volatile struct CPU_RCON_s rcon_reg

Captures the RESET CONTROL register.

Definition at line 287 of file drv_trap_handler.h.

## ◆ reset_count

volatile uint16_t reset_count

Counter of CPU RESET events (read/write)

Definition at line 283 of file drv_trap_handler.h.

## ◆ status

volatile struct TRAPLOG_STATUS_s status

Status word of the Trap Logger object.

Definition at line 282 of file drv_trap_handler.h.

## ◆ task_capture

volatile struct TASK_INFO_s task_capture

Information of last task executed.

Definition at line 289 of file drv_trap_handler.h.

## ◆ trap_count

volatile uint16_t trap_count

Counter tracking the number of occurrences.

Definition at line 285 of file drv_trap_handler.h.

## ◆ trap_flags

volatile struct TRAP_FLAGS_s trap_flags

Complete list of trap flags (showing all trap flags)

Definition at line 286 of file drv_trap_handler.h.

## ◆ trap_id

enum TRAP_ID_e trap_id

Trap-ID of the captured incident.

Definition at line 284 of file drv_trap_handler.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/fault_handler/drivers/drv_trap_handler.h